<!DOCTYPE html>
<html lang="es" xmlns:th="https://www.thymeleaf.org">

<head>
  <!-- Required meta tags -->
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <title>Skydash Admin</title>
  <!-- plugins:css -->
  <link rel="stylesheet" href="../../vendors/feather/feather.css">
  <link rel="stylesheet" href="../../vendors/ti-icons/css/themify-icons.css">
  <link rel="stylesheet" href="../../vendors/css/vendor.bundle.base.css">
  <!-- endinject -->
  <!-- Plugin css for this page -->
  <!-- End plugin css for this page -->
  <!-- inject:css -->
  <link rel="stylesheet" href="../../css/vertical-layout-light/style.css">
  <!-- endinject -->
  <link rel="shortcut icon" href="../../images/logoSanBorja.png" />
</head>

<body>
  <div class="container-scroller">
<!-- Fragmento nav -->
    <layouttag th:include="fragments/common :: nav-fragment" />

    <!-- partial -->
    <div class="container-fluid page-body-wrapper" >

	<!-- Fragmento theme-setting-wrapper-->
	<layouttag th:include="fragments/common :: theme-setting-wrapper-fagment" />
	
    <!-- Fragmento sidebar -->
    <layouttag th:include="fragments/common :: sidebar-fragment" />
    
    
    <!-- Principal -->
    <div class="main-panel">
        <div class="content-wrapper">
        <div class="row">
          <div class="col-lg-3 grid-margin stretch-card"></div>
          <div class="col-lg-6 grid-margin stretch-card">
              <div class="card">
                <div class="card-body">
                	<div th:if="${Zona.zona_Id == null}">
                  		<h4 class="card-title">Insertar Zona</h4>     		                  	
		                  <p class="card-description">
		                    Insertar los datos de la zona 
		                  </p>
		                  <div th:if="${mensaje != null}"> 
		                  	  <div class="alert alert-danger" th:text="${mensaje}"></div>
		                  </div>
		                  <form  class="forms-sample" th:action="@{/configuracion/zonaRegistro}" th:object="${Zona}" method="POST"
		                   accept-charset="UTF-8">	
		                   <div class="form-group">
		                    	<label for="exampleInputPerfil">Municipio</label>
							    <select class="form-control" th:field="*{muni_Id}" id="exampleInputMuni">
							    <option value="0">--Seleccione--</option>
							    <option th:each="ResponseMunicipioPaginador : ${Municipios}" th:value="${ResponseMunicipioPaginador.muni_Id}"
							     th:text="${ResponseMunicipioPaginador.muni_Nombre}"></option>
							    </select>
							    <div class="alert alert-warning" th:if="${#fields.hasErrors('muni_Id')}" th:errors="*{muni_Id}">
							</div>
		                    </div>						  
		                    <div class="form-group">
		                      <label for="exampleInputDescripcion">Nombre</label>
		                      <input type="text" class="form-control" id="Descripcion" placeholder="Nombre"
		                      th:field="*{zona_Descripcion}" th:value="${zona_Descripcion}">
		                      <div class="alert alert-warning" th:if="${#fields.hasErrors('zona_Descripcion')}" th:errors="*{zona_Descripcion}"></div>
		                    </div>         		                 
							<div class="form-group">
		                      <label for="exampleInputGeometry">Geometry</label>
		                      <input type="text" class="form-control" id="Geometry" placeholder="Geometry"
		                      th:field="*{zona_Geometry}" th:value="${zona_Geometry}">
		                      <div class="alert alert-warning" th:if="${#fields.hasErrors('zona_Geometry')}" th:errors="*{zona_Geometry}"></div>
		                    </div>
		  					
		                    <div class="form-check form-check-flat form-check-primary">
		      				<label style="font-size:14px" for="defaultCheck">
							  <input type="checkbox" th:field="*{zona_Activo}" th:value="${zona_Activo}" id="defaultCheck"> 
							    Activo
							  </label>
							</div>
		                    <button type="submit" class="btn btn-primary mr-2" style="padding: 0.65rem 1.2rem;">Crear</button>
		                    <a th:href="@{/configuracion/zona}" class="btn btn-light" style="padding: 0.65rem 1.2rem;">Cancelar</a>
		                  </form>
                  		</div> 
                  	<div th:if="${Zona.zona_Id != null}">
                  		<h4 class="card-title">Actualizar Zona</h4>	                  	
		                  <p class="card-description">
		                    Actualizar los datos de la zona 
		                  </p>
		                  <div th:if="${mensaje != null}"> 
		                  	  <div class="alert alert-danger" th:text="${mensaje}"></div>
		                  </div>
		                  <form class="forms-sample" th:action="@{/configuracion/zonaRegistro/} + ${Zona.zona_Id}" th:object="${Zona}"
		                   method="POST"  accept-charset="UTF-8">
		                  	<input type="hidden" th:field="*{zona_Id}"></input>
		                      <div class="form-group">
		               			<label for="exampleInputMuni">Municipio</label>
							    <select class="form-control" th:field="*{muni_Id}"  id="dropOperator">
							    <option value="0">--Seleccione--</option>
							    <option th:each="Municipio : ${Municipios}" th:value="${Municipio.muni_Id}" 
							    th:text="${Municipio.muni_Nombre}"
							    th:selected="${Municipio.muni_Id==2}"
							    ></option>
							    </select>
							    <div class="alert alert-warning" th:if="${#fields.hasErrors('muni_Id')}" th:errors="*{muni_Id}">
							</div>
		               		</div>
		                    <div class="form-group">
		                       <label for="exampleInputDescripcion">Descripción</label>
		                      <input type="text" th:field="*{zona_Descripcion}" class="form-control" id="exampleInputDescripcion" placeholder="">
		                      <div class="alert alert-warning" th:errors="*{zona_Descripcion}"></div>
		                    </div>
		                    <div class="form-group">
		                      <label for="exampleInputGeometry">Geometry</label>
		                      <input type="text" class="form-control" id="Geometry" placeholder=""
		                      th:field="*{zona_Geometry}" >
		                      <div class="alert alert-warning" th:errors="*{zona_Geometry}"></div>
		                    </div>
		                  
		                    <div class="form-check form-check-flat form-check-primary">
		      				<label style="font-size:14px" for="defaultCheck">
							  <input type="checkbox" th:field="*{zona_Activo}" th:value="${zona_Activo}" id="defaultCheck"> 
							    Activo
							  </label>
							</div>
		                    <button type="submit" class="btn btn-primary mr-2">Actualizar</button>
		                    <a th:href="@{/configuracion/zona}" class="btn btn-light">Cancelar</a>
		                  </form>
                  	</div>  
                </div>
              </div>
            </div>
        </div>
		 <layouttag th:include="fragments/common :: footer" />
      </div>
      <!-- content-wrapper ends -->
    </div>
    <!-- page-body-wrapper ends -->
  </div>
  <!-- container-scroller -->
  <!-- plugins:js -->
  <script src="../../vendors/js/vendor.bundle.base.js"></script>
  <!-- endinject -->
  <!-- Plugin js for this page -->
  <!-- End plugin js for this page -->
  <!-- inject:js -->
  <script src="../../js/off-canvas.js"></script>
  <script src="../../js/hoverable-collapse.js"></script>
  <script src="../../js/template.js"></script>
  <script src="../../js/settings.js"></script>
  <script src="../../js/todolist.js"></script>
  <!-- endinject -->
</body>

</html>
